## waybar 0.9.0

=== Makefile ===
.PHONY: build build-debug run clean default install

default: run

build:
	meson build
	ninja -C build

build-debug:
	meson build --buildtype=debug
	ninja -C build

install: build
	ninja -C build install

run: build
	./build/waybar

clean:
	rm -rf build

=== meson_options.txt ===
option('libcxx', type : 'boolean', value : false, description : 'Build with Clang\'s libc++ instead of libstdc++ on Linux.')
option('libnl', type: 'feature', value: 'auto', description: 'Enable libnl support for network related features')
option('libudev', type: 'feature', value: 'auto', description: 'Enable libudev support for udev related features')
option('pulseaudio', type: 'feature', value: 'auto', description: 'Enable support for pulseaudio')
option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('mpd', type: 'feature', value: 'auto', description: 'Enable support for the Music Player Daemon')
option('out', type: 'string', value : '/', description: 'output prefix directory')
option('gtk-layer-shell', type: 'feature', value: 'auto', description: 'Use gtk-layer-shell library for popups support')

=== debian/changelog ===
waybar (0.9.0-1) experimental; urgency=medium

  * New upstream release
  * d/gbp.conf: add file
   + Set pristine-tar to true
   + Set debian branch to debian/sid
  * d/patches/0002-Remove-gtk-layer-shell-from-dependencies:
    Remove dependency on gtk-layer-shell
  * d/control
   + Bump standards version (no changes required)
   + Move package to swaywm-team (update maintainer address and
     Vcs-* URLs)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 31 Dec 2019 19:38:19 +0100

waybar (0.8.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #920040)

 -- Birger Schacht <birger@rantanplan.org>  Mon, 02 Sep 2019 16:52:20 +0200

=== debian/control ===
Source: waybar
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 libwlroots-dev,
 libwayland-dev,
 libinput-dev,
 meson,
 pkgconf,
 libgtkmm-3.0-dev,
 libjsoncpp-dev,
 libsigc++-2.0-dev,
 libpulse-dev,
 libnl-3-dev,
 libspdlog-dev (>=1.3.1),
 libdbusmenu-gtk-dev,
 cmake,
 libfmt-dev (>=5.3.0),
 libnl-genl-3-dev,
 clang-tidy,
 libdbusmenu-gtk3-dev,
 libmpdclient-dev,
 scdoc (>= 1.9.2)
#sway,
Standards-Version: 4.4.1
Homepage: https://github.com/Alexays/Waybar/
Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git
Rules-Requires-Root: no

Package: waybar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: sway
Description: Highly customizable Wayland bar for Sway and Wlroots based compositors
 Waybar is a highly customizable wayland bar for Sway and Wlroots based
 compositors. It features applets displaying information about Sway
 (Workspaces, Binding mode, Focused window name), Local time, Battery,
 Network, Pulseaudio, Memory, Cpu load average and custom scripts

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_build:
	meson build
	ninja -C build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/waybar-$1\.tar\.gz/ \
https://github.com/Alexays/Waybar/releases .*/archive/(\d\S*)\.tar\.gz

## waybar 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .PHONY: build build-debug run clean default install
 
-default: run
+default: build
 
 build:
 	meson build

=== meson_options.txt ===
--- 
+++ 
@@ -6,5 +6,6 @@
 option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
 option('mpd', type: 'feature', value: 'auto', description: 'Enable support for the Music Player Daemon')
-option('out', type: 'string', value : '/', description: 'output prefix directory')
 option('gtk-layer-shell', type: 'feature', value: 'auto', description: 'Use gtk-layer-shell library for popups support')
+option('rfkill', type: 'feature', value: 'auto', description: 'Enable support for RFKILL')
+option('sndio', type: 'feature', value: 'auto', description: 'Enable support for sndio')

=== debian/changelog ===
waybar (0.9.5-2) unstable; urgency=medium

  * Set versioned build-depends on spdlog (Closes: #981086)

 -- Birger Schacht <birger@debian.org>  Sat, 30 Jan 2021 11:12:52 +0100

waybar (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * Update patch to drop the clock module
  * Bump standards version to 4.5.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Mon, 04 Jan 2021 19:24:06 +0100

waybar (0.9.4-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable, now that dependency wlroots is in unstable
  * d/control
   + bump standards version to 4.5.0 (no changes required)
   + bump debhelper version to 13
   + remove commented build dependency
   + add libgtk-layer-shell-dev and libgtk-layer-shell0 to the build
     dependencies, now that gtk-layer-shell is in the archive
   + add fonts-font-awesome to Suggests, because it is the font used
     in the default waybar theme
   + Update uploader address
   + Suggest installation of libappindicator3-1 to ensure functionality
     of the tray plugin
  * d/patches
   + drop 0001-Force-the-inclusion-of-sway-even-if-its-not-installe.patch
   + drop 0002-Remove-gtk-layer-shell-from-dependencies.patch
   + add patch to disable the clock module, which depends on a library
     that is not packaged and will be dropped at some point
     (See https://github.com/Alexays/Waybar/issues/668)
  * Add a debian/waybar.README.Debian file explaining the missing
    clock module
  * d/rules: Enable rfkill support
  * d/upstream/metadata: add bug tracking information

 -- Birger Schacht <birger@debian.org>  Mon, 26 Oct 2020 18:44:14 +0100

=== debian/control ===
Source: waybar
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libwlroots-dev,
 libwayland-dev,
 libinput-dev,
 meson,
 pkgconf,
 libgtkmm-3.0-dev,
 libjsoncpp-dev,
 libsigc++-2.0-dev,
 libpulse-dev,
 libnl-3-dev,
 libspdlog-dev (>=1.8.0),
 libdbusmenu-gtk-dev,
 cmake,
 libfmt-dev (>=5.3.0),
 libnl-genl-3-dev,
 clang-tidy,
 libdbusmenu-gtk3-dev,
 libmpdclient-dev,
 scdoc (>= 1.9.2),
 libgtk-layer-shell-dev,
 libgtk-layer-shell0
Standards-Version: 4.5.1
Homepage: https://github.com/Alexays/Waybar/
Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git
Rules-Requires-Root: no

Package: waybar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: sway, fonts-font-awesome, libappindicator3-1
Description: Highly customizable Wayland bar for Sway and Wlroots based compositors
 Waybar is a highly customizable wayland bar for Sway and Wlroots based
 compositors. It features applets displaying information about Sway
 (Workspaces, Binding mode, Focused window name), Local time, Battery,
 Network, Pulseaudio, Memory, Cpu load average and custom scripts

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh $@ --buildsystem=meson
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Drfkill=enabled
+
 override_dh_auto_build:
 	meson build
 	ninja -C build

## waybar 0.9.9

=== Makefile ===
--- 
+++ 
@@ -16,5 +16,8 @@
 run: build
 	./build/waybar
 
+debug-run: build-debug
+	./build/waybar --log-level debug
+
 clean:
 	rm -rf build

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 option('libcxx', type : 'boolean', value : false, description : 'Build with Clang\'s libc++ instead of libstdc++ on Linux.')
 option('libnl', type: 'feature', value: 'auto', description: 'Enable libnl support for network related features')
 option('libudev', type: 'feature', value: 'auto', description: 'Enable libudev support for udev related features')
+option('libevdev', type: 'feature', value: 'auto', description: 'Enable libevdev support for evdev related features')
 option('pulseaudio', type: 'feature', value: 'auto', description: 'Enable support for pulseaudio')
 option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
 option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
@@ -9,3 +10,6 @@
 option('gtk-layer-shell', type: 'feature', value: 'auto', description: 'Use gtk-layer-shell library for popups support')
 option('rfkill', type: 'feature', value: 'auto', description: 'Enable support for RFKILL')
 option('sndio', type: 'feature', value: 'auto', description: 'Enable support for sndio')
+option('logind', type: 'feature', value: 'auto', description: 'Enable support for logind')
+option('tests', type: 'feature', value: 'auto', description: 'Enable tests')
+option('experimental', type : 'boolean', value : false, description: 'Enable experimental features')

=== debian/changelog ===
waybar (0.9.9-1) unstable; urgency=medium

  [ Birger Schacht ]
  * New upstream release
  * Update d/copyright

  [ Pino Toscano ]
  * Drop the clang-tidy build dependency, only needed for a developer-only
    meson target.
  * Stop including /usr/share/dpkg/pkg-info.mk in rules, as it is not needed.
  * Drop the custom dh_auto_build override: as the default one works fine;
    the custom one reruns meson without all the Debian parameters, and
    (even worse) allows the downloading of stuff from the network, which is
    forbidden by Debian Policy §4.9.

 -- Birger Schacht <birger@debian.org>  Mon, 10 Jan 2022 18:30:22 +0100

waybar (0.9.8-2) unstable; urgency=medium

  * Fix watchfile
  * Bump standards version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 06 Nov 2021 09:49:27 +0100

waybar (0.9.8-1) unstable; urgency=medium

  * New upstream release (Closes: #993067)
  * Drop patch which removes the clock module, now that upstream contains a
    workaround (Closes: #973594, see
    https://github.com/Alexays/Waybar/pull/903)
  * add new dependency libxkbregistry-dev to build-depends

 -- Birger Schacht <birger@debian.org>  Fri, 27 Aug 2021 21:22:57 +0200

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,13 @@
  cmake,
  libfmt-dev (>=5.3.0),
  libnl-genl-3-dev,
- clang-tidy,
  libdbusmenu-gtk3-dev,
  libmpdclient-dev,
  scdoc (>= 1.9.2),
  libgtk-layer-shell-dev,
- libgtk-layer-shell0
-Standards-Version: 4.5.1
+ libgtk-layer-shell0,
+ libxkbregistry-dev
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Alexays/Waybar/
 Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
 Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/waybar-$1\.tar\.gz/ \
https://github.com/Alexays/Waybar/releases .*/archive/refs/tags/(\d\S*)\.tar\.gz

## waybar 0.9.13

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option('libudev', type: 'feature', value: 'auto', description: 'Enable libudev support for udev related features')
 option('libevdev', type: 'feature', value: 'auto', description: 'Enable libevdev support for evdev related features')
 option('pulseaudio', type: 'feature', value: 'auto', description: 'Enable support for pulseaudio')
+option('upower_glib', type: 'feature', value: 'auto', description: 'Enable support for upower')
 option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
 option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

=== debian/changelog ===
waybar (0.9.13-2) unstable; urgency=medium

  * Backport patch for fmt 9.0 (Closes: #1014686)

 -- Birger Schacht <birger@debian.org>  Sat, 20 Aug 2022 10:36:13 +0200

waybar (0.9.13-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Tue, 31 May 2022 18:59:46 +0200

waybar (0.9.12-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Thu, 10 Mar 2022 19:40:44 +0100

waybar (0.9.10-1) unstable; urgency=medium

  * New upstream release
  * Drop filenamemangle option from d/watch

 -- Birger Schacht <birger@debian.org>  Wed, 09 Mar 2022 09:44:54 +0100

=== debian/watch ===
version=4
https://github.com/Alexays/Waybar/releases .*/archive/refs/tags/(\d\S*)\.tar\.gz

## waybar 0.9.17

=== meson_options.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 option('libcxx', type : 'boolean', value : false, description : 'Build with Clang\'s libc++ instead of libstdc++ on Linux.')
+option('libinput', type: 'feature', value: 'auto', description: 'Enable libinput support for libinput related features')
 option('libnl', type: 'feature', value: 'auto', description: 'Enable libnl support for network related features')
 option('libudev', type: 'feature', value: 'auto', description: 'Enable libudev support for udev related features')
 option('libevdev', type: 'feature', value: 'auto', description: 'Enable libevdev support for evdev related features')
 option('pulseaudio', type: 'feature', value: 'auto', description: 'Enable support for pulseaudio')
 option('upower_glib', type: 'feature', value: 'auto', description: 'Enable support for upower')
+option('mpris', type: 'feature', value: 'auto', description: 'Enable support for mpris')
 option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
 option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
@@ -14,3 +16,5 @@
 option('logind', type: 'feature', value: 'auto', description: 'Enable support for logind')
 option('tests', type: 'feature', value: 'auto', description: 'Enable tests')
 option('experimental', type : 'boolean', value : false, description: 'Enable experimental features')
+option('jack', type: 'feature', value: 'auto', description: 'Enable support for JACK')
+option('wireplumber', type: 'feature', value: 'auto', description: 'Enable support for WirePlumber')

=== debian/changelog ===
waybar (0.9.17-2) unstable; urgency=medium

  * Add libhowardhinnant-date-dev to build-depends (Closes: #1003115)

 -- Birger Schacht <birger@debian.org>  Tue, 28 Feb 2023 19:59:55 +0100

waybar (0.9.17-1) unstable; urgency=medium

  * New upstream version
  * Add libwireplumber to build-depends
  * Bump copyright years in d/copyright

 -- Birger Schacht <birger@debian.org>  Sat, 14 Jan 2023 13:14:57 +0100

waybar (0.9.16-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-typos.patch

 -- Birger Schacht <birger@debian.org>  Fri, 25 Nov 2022 11:08:32 +0100

waybar (0.9.15-1) unstable; urgency=medium

  * New upstream release
  * Drop backported patch for fmt 9.0
  * Add new build-dependencies: libupower-glib-dev, libjack-dev, libsndio-dev
  * Backport fix-typos.patch

 -- Birger Schacht <birger@debian.org>  Sat, 05 Nov 2022 18:08:39 +0100

waybar (0.9.13-3) unstable; urgency=medium

  * Fix d/watch file by switching to gitmode
  * Bump standards-version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Fri, 14 Oct 2022 21:37:40 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,13 @@
  scdoc (>= 1.9.2),
  libgtk-layer-shell-dev,
  libgtk-layer-shell0,
- libxkbregistry-dev
-Standards-Version: 4.6.0.1
+ libxkbregistry-dev,
+ libupower-glib-dev,
+ libjack-dev,
+ libsndio-dev,
+ libwireplumber-0.4-dev,
+ libhowardhinnant-date-dev
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/Alexays/Waybar/
 Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
 Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git

## waybar 0.9.22

=== debian/changelog ===
waybar (0.9.22-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Wed, 16 Aug 2023 16:37:03 +0200

waybar (0.9.21-1) unstable; urgency=medium

  [ Birger Schacht ]
  * New upstream release
  * Set field Upstream-Name in debian/copyright
  * Remove obsolete field Name from debian/upstream/metadata
  * d/gbp.conf: set gbp to use overlay in salsa CI

  [ Diederik de Haas ]
  * d/control: Update B-D for JACK to JACK2
  * d/gbp.conf:
   + Switch to 'debian' recipe and target Unstable again
   + Disable 'reprotest' job for now

 -- Birger Schacht <birger@debian.org>  Mon, 14 Aug 2023 19:53:34 +0200

waybar (0.9.20-2) unstable; urgency=medium

  * Drop libdbusmenu-gtk-dev from build dependencies (Closes: #1041828)

 -- Birger Schacht <birger@debian.org>  Mon, 24 Jul 2023 08:24:17 +0200

waybar (0.9.20-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Tue, 18 Jul 2023 14:55:57 +0200

waybar (0.9.18-1) unstable; urgency=medium

  * New upstream version
  * d/control:
   + Add libplayerctl-dev to build-depends (Closes: #1036148)
   + Bump standards-version to 4.6.2 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 24 Jun 2023 10:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libpulse-dev,
  libnl-3-dev,
  libspdlog-dev (>=1.8.0),
- libdbusmenu-gtk-dev,
  cmake,
  libfmt-dev (>=5.3.0),
  libnl-genl-3-dev,
@@ -27,11 +26,12 @@
  libgtk-layer-shell0,
  libxkbregistry-dev,
  libupower-glib-dev,
- libjack-dev,
+ libjack-jackd2-dev,
  libsndio-dev,
  libwireplumber-0.4-dev,
- libhowardhinnant-date-dev
-Standards-Version: 4.6.1.0
+ libhowardhinnant-date-dev,
+ libplayerctl-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/Alexays/Waybar/
 Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
 Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git

## waybar 0.9.24

=== Makefile ===
--- 
+++ 
@@ -19,5 +19,9 @@
 debug-run: build-debug
 	./build/waybar --log-level debug
 
+test:
+	meson test -C build --no-rebuild --verbose --suite waybar
+.PHONY: test
+
 clean:
 	rm -rf build

=== meson_options.txt ===
--- 
+++ 
@@ -18,3 +18,4 @@
 option('experimental', type : 'boolean', value : false, description: 'Enable experimental features')
 option('jack', type: 'feature', value: 'auto', description: 'Enable support for JACK')
 option('wireplumber', type: 'feature', value: 'auto', description: 'Enable support for WirePlumber')
+option('cava', type: 'feature', value: 'auto', description: 'Enable support for Cava')

=== debian/changelog ===
waybar (0.9.24-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:32:35 +1100

waybar (0.9.24-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:58:21 +0000

waybar (0.9.24-1build1) noble; urgency=medium

  * Rebuild against latst spdlog

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 24 Nov 2023 20:02:17 -0500

waybar (0.9.24-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 03 Nov 2023 16:01:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: waybar
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## waybar 0.10.3

=== debian/changelog ===
waybar (0.10.3-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Thu, 09 May 2024 08:50:25 +0200

waybar (0.10.2-2) experimental; urgency=medium

  * d/control: Replace libwireplumber-0.4-dev build-dependency with
    libwireplumber-0.5-dev
    (Closes: #1070041)

 -- Birger Schacht <birger@debian.org>  Sun, 05 May 2024 10:55:06 +0200

waybar (0.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Tue, 23 Apr 2024 19:24:55 +0200

waybar (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Bump years, add licenses for new protocol files, remove
    license entry for removed protocol file

 -- Birger Schacht <birger@debian.org>  Fri, 15 Mar 2024 15:02:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: waybar
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -29,7 +28,7 @@
  libupower-glib-dev,
  libjack-jackd2-dev,
  libsndio-dev,
- libwireplumber-0.4-dev,
+ libwireplumber-0.5-dev,
  libhowardhinnant-date-dev,
  libplayerctl-dev
 Standards-Version: 4.6.2

## waybar 0.10.4

=== debian/changelog ===
waybar (0.10.4-2) unstable; urgency=medium

  * Add libsystemd-dev to build depends, to make the build system find systemd
    and install the systemd service file (Closes: #1077489)
  * Bump standards version to 4.7.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Mon, 29 Jul 2024 16:06:30 +0200

waybar (0.10.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 19 Jul 2024 15:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,9 @@
  libsndio-dev,
  libwireplumber-0.5-dev,
  libhowardhinnant-date-dev,
- libplayerctl-dev
-Standards-Version: 4.6.2
+ libplayerctl-dev,
+ systemd-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/Alexays/Waybar/
 Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
 Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git

## waybar 0.11.0

=== debian/changelog ===
waybar (0.11.0-2) unstable; urgency=medium

  * d/patches: backport patch to revert ustring formatting changes
    (Closes: #1081919)

 -- Birger Schacht <birger@debian.org>  Mon, 16 Sep 2024 18:47:17 +0200

waybar (0.11.0-1) unstable; urgency=medium

  * d/patches: drop patch that was included in new upstream version

 -- Birger Schacht <birger@debian.org>  Fri, 13 Sep 2024 18:34:22 +0200

waybar (0.10.4-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/control: Update B-D for fmtlib and spdlog.
    Upstream commit 36aa2218 ("Last weekday applies Unix fmt")
    upped the minimum required versions of ``fmtlib`` and ``spdlog``,
    so update the minimum values in ``debian/control`` to match it.
    Link: https://github.com/Alexays/Waybar/pull/1599
  * d/control: Wrap and sort.
    Run ``wrap-and-sort -ast`` to have logically sorted field values.

  [ Birger Schacht ]
  * d/patches: backport patch to fix setVisible (Closes: #1081333)

 -- Birger Schacht <birger@debian.org>  Tue, 10 Sep 2024 21:38:23 +0200

=== debian/control ===
Source: waybar
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders:
 Birger Schacht <birger@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libdbusmenu-gtk3-dev,
 libfmt-dev (>=8.1.1),
 libgtk-layer-shell-dev,
 libgtk-layer-shell0,
 libgtkmm-3.0-dev,
 libhowardhinnant-date-dev,
 libinput-dev,
 libjack-jackd2-dev,
 libjsoncpp-dev,
 libmpdclient-dev,
 libnl-3-dev,
 libnl-genl-3-dev,
 libplayerctl-dev,
 libpulse-dev,
 libsigc++-2.0-dev,
 libsndio-dev,
 libspdlog-dev (>=1.10.0),
 libupower-glib-dev,
 libwayland-dev,
 libwireplumber-0.5-dev,
 libwlroots-dev,
 libxkbregistry-dev,
 meson,
 pkgconf,
 scdoc (>= 1.9.2),
 systemd-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/Alexays/Waybar/
Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git
Rules-Requires-Root: no

Package: waybar
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fonts-font-awesome,
 libappindicator3-1,
 sway,
Description: Highly customizable Wayland bar for Sway and Wlroots based compositors
 Waybar is a highly customizable wayland bar for Sway and Wlroots based
 compositors. It features applets displaying information about Sway
 (Workspaces, Binding mode, Focused window name), Local time, Battery,
 Network, Pulseaudio, Memory, Cpu load average and custom scripts

## waybar 0.12.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 option('libevdev', type: 'feature', value: 'auto', description: 'Enable libevdev support for evdev related features')
 option('pulseaudio', type: 'feature', value: 'auto', description: 'Enable support for pulseaudio')
 option('upower_glib', type: 'feature', value: 'auto', description: 'Enable support for upower')
+option('pipewire', type: 'feature', value: 'auto', description: 'Enable support for pipewire')
 option('mpris', type: 'feature', value: 'auto', description: 'Enable support for mpris')
 option('systemd', type: 'feature', value: 'auto', description: 'Install systemd user service unit')
 option('dbusmenu-gtk', type: 'feature', value: 'auto', description: 'Enable support for tray')
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
 option('mpd', type: 'feature', value: 'auto', description: 'Enable support for the Music Player Daemon')
-option('gtk-layer-shell', type: 'feature', value: 'auto', description: 'Use gtk-layer-shell library for popups support')
 option('rfkill', type: 'feature', value: 'auto', description: 'Enable support for RFKILL')
 option('sndio', type: 'feature', value: 'auto', description: 'Enable support for sndio')
 option('logind', type: 'feature', value: 'auto', description: 'Enable support for logind')
@@ -19,3 +19,4 @@
 option('jack', type: 'feature', value: 'auto', description: 'Enable support for JACK')
 option('wireplumber', type: 'feature', value: 'auto', description: 'Enable support for WirePlumber')
 option('cava', type: 'feature', value: 'auto', description: 'Enable support for Cava')
+option('niri', type: 'boolean', description: 'Enable support for niri')

=== debian/changelog ===
waybar (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: drop backported
    0001-revert-ustring-formatting-changes.patch

 -- Birger Schacht <birger@debian.org>  Fri, 21 Feb 2025 09:56:44 +0100

waybar (0.11.0-3) unstable; urgency=medium

  * debian/control:
   + drop unused wlroots build-dependency
   + add python3 and gir1.2-playerctl-2.0 to suggestions, because those are
     used by the shipped custom modules (Closes: #988592)
   + run wrap-and-sort -ast
  * debian/patches: add a patch that fixes the paths of the used custom
    modules in the default configuration file
  * debian/conffiles: remove unused `config` conffile, which is superseded by
    `config.jsonc`
  * debian/waybar.install: also ship `power_menu.xml` and mediaplayer.py,
    which are used by the default config (Closes: #1083092)

 -- Birger Schacht <birger@debian.org>  Tue, 31 Dec 2024 16:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Birger Schacht <birger@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  libdbusmenu-gtk3-dev,
  libfmt-dev (>=8.1.1),
  libgtk-layer-shell-dev,
@@ -27,7 +27,6 @@
  libupower-glib-dev,
  libwayland-dev,
  libwireplumber-0.5-dev,
- libwlroots-dev,
  libxkbregistry-dev,
  meson,
  pkgconf,
@@ -46,7 +45,9 @@
  ${shlibs:Depends},
 Suggests:
  fonts-font-awesome,
+ gir1.2-playerctl-2.0,
  libappindicator3-1,
+ python3:any,
  sway,
 Description: Highly customizable Wayland bar for Sway and Wlroots based compositors
  Waybar is a highly customizable wayland bar for Sway and Wlroots based

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/," \
 https://github.com/Alexays/Waybar refs/tags/(\d\S*)

## waybar 0.14.0

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 default: build
 
 build:
-	meson build
+	meson setup build
 	ninja -C build
 
 build-debug:
-	meson build --buildtype=debug
+	meson setup build --buildtype=debug
 	ninja -C build
 
 install: build

=== meson_options.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
 option('wireplumber', type: 'feature', value: 'auto', description: 'Enable support for WirePlumber')
 option('cava', type: 'feature', value: 'auto', description: 'Enable support for Cava')
 option('niri', type: 'boolean', description: 'Enable support for niri')
+option('login-proxy', type: 'boolean', description: 'Enable interfacing with dbus login interface')
+option('gps', type: 'feature', value: 'auto', description: 'Enable support for gps')

=== debian/changelog ===
waybar (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Add libgps-dev to build-depends for GPS support
  * Drop pristine-tar from debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Sat, 16 Aug 2025 19:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  cmake,
  libdbusmenu-gtk3-dev,
  libfmt-dev (>=8.1.1),
+ libgps-dev,
  libgtk-layer-shell-dev,
  libgtk-layer-shell0,
  libgtkmm-3.0-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Drfkill=enabled

## waybar 0.15.0

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,12 @@
 	./build/waybar --log-level debug
 
 test:
-	meson test -C build --no-rebuild --verbose --suite waybar
+	meson test -C build --verbose --suite waybar
 .PHONY: test
+
+test-detailed:
+	meson test -C build --verbose --print-errorlogs --test-args='--reporter console -s'
+.PHONY: test-detailed
 
 clean:
 	rm -rf build

=== debian/changelog ===
waybar (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
   + Remove redundant Priority and Rules-Requires-Root fields
   + Bump Standards-Version to 4.7.3
  * debian/copyright:
   + Update year range to 2026
  * debian/watch:
   + Update to version 5

 -- Birger Schacht <birger@debian.org>  Sun, 08 Feb 2026 13:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: waybar
 Section: x11
-Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders:
  Birger Schacht <birger@debian.org>,
@@ -33,11 +32,10 @@
  pkgconf,
  scdoc (>= 1.9.2),
  systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/Alexays/Waybar/
 Vcs-Browser: https://salsa.debian.org/swaywm-team/waybar
 Vcs-Git: https://salsa.debian.org/swaywm-team/waybar.git
-Rules-Requires-Root: no
 
 Package: waybar
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://github.com/Alexays/Waybar
Matching-Pattern: refs/tags/(\d\S*)
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/
